Namespace: webdriver.promise
View Source

# class CancellationError

final

    Error
      └ goog.debug.Error
          └ webdriver.promise.CancellationError

Error used when the computation of a promise is cancelled.

## new CancellationError(opt_msg)

Parameters

opt_msg`string=`

  The cancellation message.

## Static Functions

### CancellationError.wrap(error, opt_msg)code »

Wraps the given error in a CancellationError. Will trivially return the error itself if it is an instanceof CancellationError.

Parameters

error`*`

  The error to wrap.

opt_msg`string=`

  The prefix message to use.

Returns

`webdriver.promise.CancellationError`

  A cancellation error.